org.bouncycastle.jce.interfaces

## Interface ECPointEncoder

All Known Implementing Classes:
  JCEECPrivateKey, JCEECPublicKey

    public interface ECPointEncoder

All BC elliptic curve keys implement this interface. You need to cast the key to get access to it.

By default BC keys produce encodings without point compression, to turn this on call setPointFormat() with "COMPRESSED".

### Method Summary

Methods
`void` `setPointFormat(java.lang.String style)` Set the formatting for encoding of points.

### Method Detail

#### setPointFormat

    void setPointFormat(java.lang.String style)

Set the formatting for encoding of points. If the String "UNCOMPRESSED" is passed in point compression will not be used. If the String "COMPRESSED" is passed point compression will be used. The default is "UNCOMPRESSED".

Parameters:
  `style` - the style to use.